# Interface FormatSettings

Settings that affect how strings are formatted.

interface FormatSettings {
currency?: string;
dateFormat?: string;
fractionalDigits?: number;
numberFormat?: string;
timeFormat?: string;
timeZone?: string;
}

#### Hierarchy (view full)

- FormatSettings
  - FormatOptions

#### Implemented by

- StringFormatter

#####
Index

### Properties

currency?
dateFormat?
fractionalDigits?
numberFormat?
timeFormat?
timeZone?

##
Properties

### `Optional` currency

currency?: string

The default unit of currency to use when formatting currency. See utilities/format/number!NumberSettings.currency.

### `Optional` dateFormat

dateFormat?: string

The default format to use when formatting dates. See utilities/format/date!DateFormatter.format.

### `Optional` fractionalDigits

fractionalDigits?: number

The default number of digits to show after the decimal point when formatting numbers. See utilities/format/number!NumberSettings.fractionalDigits.

### `Optional` numberFormat

numberFormat?: string

The default format to use when formatting numbers. See utilities/format/number!NumberFormatter.format.

### `Optional` timeFormat

timeFormat?: string

The default format to use when formatting times. See utilities/format/time!TimeFormatter.format.

### `Optional` timeZone

timeZone?: string

The time zone of a date being formatted. See utilities/format/date!DateFormatter.timeZone.